# H245_ModeElement Class Reference

`#include <h245.h>`

Inheritance diagram for H245_ModeElement:

List of all members.

## Public Types

enum | OptionalFields { e_h223ModeParameters, e_v76ModeParameters, e_h2250ModeParameters, e_genericModeParameters, e_multiplexedStreamModeParameters, e_logicalChannelNumber }

## Public Member Functions

| H245_ModeElement (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_ModeElementType | m_type
H245_H223ModeParameters | m_h223ModeParameters
H245_V76ModeParameters | m_v76ModeParameters
H245_H2250ModeParameters | m_h2250ModeParameters
H245_GenericCapability | m_genericModeParameters
H245_MultiplexedStreamModeParameters | m_multiplexedStreamModeParameters
H245_LogicalChannelNumber | m_logicalChannelNumber

## Member Enumeration Documentation

enum H245_ModeElement::OptionalFields

Enumerator:

  e_h223ModeParameters |
  e_v76ModeParameters |
  e_h2250ModeParameters |
  e_genericModeParameters |
  e_multiplexedStreamModeParameters |
  e_logicalChannelNumber |

## Constructor & Destructor Documentation

H245_ModeElement::H245_ModeElement | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_ModeElement::GetDataLength | ( |  | ) | const

PBoolean H245_ModeElement::Decode | ( | PASN_Stream & | strm | ) |

void H245_ModeElement::Encode | ( | PASN_Stream & | strm | ) | const

void H245_ModeElement::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_ModeElement::Compare | ( | const PObject & | obj | ) | const

PObject* H245_ModeElement::Clone | ( |  | ) | const

## Member Data Documentation

H245_ModeElementType H245_ModeElement::m_type

H245_H223ModeParameters H245_ModeElement::m_h223ModeParameters

H245_V76ModeParameters H245_ModeElement::m_v76ModeParameters

H245_H2250ModeParameters H245_ModeElement::m_h2250ModeParameters

H245_GenericCapability H245_ModeElement::m_genericModeParameters

H245_MultiplexedStreamModeParameters H245_ModeElement::m_multiplexedStreamModeParameters

H245_LogicalChannelNumber H245_ModeElement::m_logicalChannelNumber

The documentation for this class was generated from the following file:

- h245.h